Module org.hdfgroup.hdfview
Package hdf.view.TableView

# Class DefaultBaseTableView.RowHeaderDataProvider

Object
hdf.view.TableView.DefaultBaseTableView.RowHeaderDataProvider

All Implemented Interfaces:
  `org.eclipse.nebula.widgets.nattable.data.IDataProvider`

Enclosing class:
  `DefaultBaseTableView`

protected class DefaultBaseTableView.RowHeaderDataProvider extends Object implements org.eclipse.nebula.widgets.nattable.data.IDataProvider
Custom Row Header data provider to set row indices based on Index Base for both Scalar Datasets and Compound Datasets.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `start`
  the start value.
  `protected int`
  `stride`
  the stride value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RowHeaderDataProvider(DataFormat theDataObject)`
  Create the Row Header data provider to set row indices based on Index Base for both Scalar Datasets and Compound Datasets.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getColumnCount()`
  `Object`
  `getDataValue(int columnIndex, int rowIndex)`
  `int`
  `getRowCount()`
  `void`
  `setDataValue(int columnIndex, int rowIndex, Object newValue)`
  `void`
  `updateRows(DataFormat theDataObject)`
  Update the Row Header data provider to set row indices based on Index Base for both Scalar Datasets and Compound Datasets.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### start

    protected int start
    the start value.

  - ### stride

    protected int stride
    the stride value.

- ## Constructor Details

  - ### RowHeaderDataProvider

    public RowHeaderDataProvider(DataFormat theDataObject)
    Create the Row Header data provider to set row indices based on Index Base for both Scalar Datasets and Compound Datasets.
    Parameters:
      `theDataObject` - the data object

- ## Method Details

  - ### updateRows

    public void updateRows(DataFormat theDataObject)
    Update the Row Header data provider to set row indices based on Index Base for both Scalar Datasets and Compound Datasets.
    Parameters:
      `theDataObject` - the data object

  - ### getColumnCount

    public int getColumnCount()
    Specified by:
      `getColumnCount` in interface `org.eclipse.nebula.widgets.nattable.data.IDataProvider`

  - ### getRowCount

    public int getRowCount()
    Specified by:
      `getRowCount` in interface `org.eclipse.nebula.widgets.nattable.data.IDataProvider`

  - ### getDataValue

    public Object getDataValue(int columnIndex, int rowIndex)
    Specified by:
      `getDataValue` in interface `org.eclipse.nebula.widgets.nattable.data.IDataProvider`

  - ### setDataValue

    public void setDataValue(int columnIndex, int rowIndex, Object newValue)
    Specified by:
      `setDataValue` in interface `org.eclipse.nebula.widgets.nattable.data.IDataProvider`